searchData={"content_type":"text/plain","items":[{"doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [Unreleased]\n\n## [v0.2.21]\n\n- Add Elixir script to bump ex_doc version from CLI ([#67](https://github.com/stabelly/rebar3_ex_doc/pull/67))\n- Add new workflow to automatically (and periodically) update `ex_doc` version ([#65](https://github.com/stabelly/rebar3_ex_doc/pull/65))\n- [automation] Update `ex_doc` to 0.30.6 ([#68](https://github.com/stabelly/rebar3_ex_doc/pull/68))\n- [automation] Update `ex_doc` to 0.30.7 ([#69](https://github.com/stabelly/rebar3_ex_doc/pull/69))\n- Use include_paths directive in app.src ([#70](https://github.com/stabelly/rebar3_ex_doc/pull/70))\n\n## [v0.2.20]\n\n- Bump ex_doc to 0.30.5\n- Minor doc changes (#61)\n- Fix rendering issues when mermaid is used (#59)\n\n\n## [v0.2.19]\n\n* Fix negation behaviour of output param in config (#56)\n* Update ex_doc to 0.30.3\n* Add out-of-the-box support for mermaid (#51)\n\n## [v0.2.18]\n\n* Update ex_doc to v0.29.4\n\n## [v0.2.17]\n\n* Allow generation of docs outside the context of a package (#45)\n* Provide option to opt of out of prefixing source vsn with v (#46)\n\n## [v0.2.16]\n\n -  Add support for external config files\n\n## [v0.2.15]\n\n - bump ex_doc to 0.29.1\n - Translate 'skip_undefined_reference_warnings_on' ExDoc option\n - Document auto-link syntax for Erlang extras\n - add support for the \"output\" configuration option\n\n## [v0.2.14]\n\n - Prevent warnings when passing the \"logo\" option (#32)\n - Fix app commandline flag (#31)\n - bump ex_doc to 0.29.0\n\n## [v0.2.13]\n\n  - bump ex_doc to 0.28.5\n\n## [v0.2.12]\n\n - fix default edoc opts (#30)","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"- Switch foldl to foldr to preserve extra pages order (#28)\n  - gen_chunks: unfold edoc_opts from project rebar.config before merging (#25)\n  - Update development guide (#24)\n  - Increase available options, as per rebar3_ex_doc's own usage (#23)","ref":"changelog.html#v0-2-10-2022-05-30","title":"v0.2.10 [2022-05-30] - Changelog","type":"extras"},{"doc":"- bump ex_doc to 0.28.3\n - merge (from `rebar.config`) configuration `edoc_opts` with `ex_doc`\n - Switch to strings vs binaries for keys while still supporting binaries for backwards compat\n - don't require the user to lowercase the main document name","ref":"changelog.html#v0-2-9-2022-04-22","title":"v0.2.9 [2022-04-22] - Changelog","type":"extras"},{"doc":"- v0.2.7 failed to include priv/ex_doc","ref":"changelog.html#v0-2-8-2022-01-25","title":"v0.2.8 [2022-01-25] - Changelog","type":"extras"},{"doc":"- Add the ebin directories of dependencies to the code path using ex_doc's --paths option.","ref":"changelog.html#v0-2-7-2022-01-24","title":"v0.2.7 [2022-01-24] - Changelog","type":"extras"},{"doc":"- Update to latest version of ex_doc (0.27.3)\n- Added -e/--ex-doc switch to allow specifying an alternative ex_doc escript.\n- Added changelog file as centralized release note so existing developer can\n  have quick follow-up on recent changes.\n- Added a screenshot to showcase the generated HTML output and how embedded\n  HTML was used in a Markdown document.\n- Added badges for quick overview of the project and provide quick links\n  to hex.pm and hexdocs.pm from the README file in GitHub.\n- Added a copyright and license section so people are aware of copyright\n  owner and license term of this project.\n- Replaced the Apache2 license with Markdown version instead of plain text\n  version to improve readability.\n- Fix misc. Markdown issues to improve readability.\n- Fixed a bug where by we were not passing the package name to `ex_doc`","ref":"changelog.html#v0-2-6-2022-01-22","title":"v0.2.6 [2022-01-22] - Changelog","type":"extras"},{"doc":"- Update to the latest version of ex_doc (0.27.1)","ref":"changelog.html#v0-2-5-2022-01-11","title":"v0.2.5 [2022-01-11] - Changelog","type":"extras"},{"doc":"- Fixed a bug that prevented generating docs on windows thanks to @cw789 for\n  raising the issue and testing the patch (this was actually released in 0.2.4,\n  but noting here).\n- Add link to github in hex metadata.","ref":"changelog.html#v0-2-4-2022-01-10","title":"v0.2.4 [2022-01-10] - Changelog","type":"extras"},{"doc":"- Fixed a bug where by `edoc` opts along with `ex_doc_opts` might cause beam chunks\n  to not be emitted. Thanks to @Taure for raising the issue.","ref":"changelog.html#v0-2-3-2021-12-21","title":"v0.2.3 [2021-12-21] - Changelog","type":"extras"},{"doc":"- Be specific in README.md where `ex_doc` configuration should be placed.\n- remove rogue \"?\" from source rev argument.","ref":"changelog.html#v0-2-2-2021-12-21","title":"v0.2.2 [2021-12-21] - Changelog","type":"extras"},{"doc":"- Make `{proglang, erlang}` the default for ex_doc config.\n- Add ourselves (`rebar3_ex_doc`) to hex config for publishing.","ref":"changelog.html#v0-2-1-2021-12-21","title":"v0.2.1 [2021-12-21] - Changelog","type":"extras"},{"doc":"- Initial public release.","ref":"changelog.html#v0-2-0-2021-12-21","title":"v0.2.0 [2021-12-21] - Changelog","type":"extras"},{"doc":"# rebar3_ex_doc\n\n[![Build Status](https://github.com/starbelly/rebar3_ex_doc/actions/workflows/ci.yml/badge.svg)](https://github.com/starbelly/rebar3_ex_doc/actions/workflows/ci.yml)\n[![Erlang/OTP Version](https://img.shields.io/badge/erlang%2Fotp-%2024-blue)](http://www.erlang.org)\n[![Hex Version](https://img.shields.io/hexpm/v/rebar3_ex_doc.svg)](https://hex.pm/packages/rebar3_ex_doc)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/rebar3_ex_doc/)\n[![Total Download](https://img.shields.io/hexpm/dt/rebar3_ex_doc.svg)](https://hex.pm/packages/rebar3_ex_doc)\n[![License](https://img.shields.io/hexpm/l/rebar3_ex_doc.svg)](https://github.com/starbelly/rebar3_ex_doc/blob/main/LICENSE)\n[![Last Updated](https://img.shields.io/github/last-commit/starbelly/rebar3_ex_doc.svg)](https://github.com/starbelly/rebar3_ex_doc/commits/main)\n\n`rebar3_ex_doc` is a `rebar3` plugin to generate documentation using [ex\\_doc](https://github.com/elixir-lang/ex_doc). This plugin ships with `ex_doc` as an escript, thus you don't need to worry about having Elixir installed nor compiling the `ex_doc` dependencies.\n\n \n   \n \n\nThis plugin can be used to generate documentation on its own and also integrates with [rebar3_hex](https://github.com/erlef/rebar3_hex) for publishing documentation to go along with your packages on [hex.pm](https://hex.pm/).","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"**NOTE**: This plugin and more importantly `ex_doc` depend on `edocs` capability to generate beam chunks per [EEP-48](https://www.erlang.org/doc/apps/erl_docgen/doc_storage.html).\nThus, the minimum OTP version supported by this plugin is Erlang/OTP 24.\n\n#","ref":"readme.html#installation","title":"Installation - Overview","type":"extras"},{"doc":"Simply add `rebar3_ex_doc` to the plugins section in your global `rebar3.config`:\n\n```erlang\n{plugins, [rebar3_ex_doc]}.\n```\n\n#","ref":"readme.html#as-a-global-plugin","title":"As a global plugin - Overview","type":"extras"},{"doc":"You can add this plugin to your rebar3 project as a project plugin, like so:\n\n```erlang\n{project_plugins, [rebar3_ex_doc]}.\n```","ref":"readme.html#in-your-rebar3-project","title":"In your rebar3 project - Overview","type":"extras"},{"doc":"This plugin should work out of the box, but the following configuration is recommended when publishing documentation to [hex.pm](https://hex.pm).\n\nSimply add the configuration below to your `rebar.config` and adjust for your project:\n\n```erlang\n{ex_doc, [\n     {extras, [\"README.md\", \"LICENSE\"]},\n     {main, \"README.md\"},\n     {source_url, \"https://github.com/namespace/your_app\"}\n]}.\n```\n\nFor further customization, see the configuration for `rebar3_ex_doc`:\n\n```erlang\n{ex_doc, [\n    {extras, [\n          {\"CHANGELOG.md\", #{title => \"Changelog\"}},\n          {\"README.md\", #{title => \"Overview\"}},\n          {\"LICENSE.md\", #{title => \"License\"}}\n    ]},\n    {main, \"README.md\"},\n    {homepage_url, \"https://github.com/starbelly/rebar3_ex_doc\"},\n    {source_url, \"https://github.com/starbelly/rebar3_ex_doc\"},\n    {assets, \"assets\"},\n    {api_reference, false}\n]}.\n```\n\nPlease see the `ex_doc` [configuration documentation](https://hexdocs.pm/ex_doc/Mix.Tasks.Docs.html#module-configuration) for a complete overview of available configuration directives.\n\nYou may also use an external config file by specifying a path instead of a proplist. See `ex_doc --help` for more info.\n\n```erlang\n%% In Elixir format\n{ex_doc, \"docs.exs\"}.\n\n%% Or in Erlang term, like rebar.config\n{ex_doc, \"docs.config\"}.\n```\n\n#","ref":"readme.html#setup","title":"Setup - Overview","type":"extras"},{"doc":"Umbrellas are supported but they must be configured on an app by app basis. This is to avoid publishing documentation to Hex.pm with wrong source urls, logos, etc.\n\nSpecifically, for each app you wish to generate documentation for, and more importantly publish to hex.pm, you should place a `rebar.config` in each app directory with the desired configuration for that application.","ref":"readme.html#umbrella-support","title":"Umbrella support - Overview","type":"extras"},{"doc":"After the plugin has been added to your project you can simplly run `rebar3 ex_doc` to generate your docs and view them in your favorite browser.\n\nRun `rebar3 help ex_doc` to see all available options.\n\n#","ref":"readme.html#usage","title":"Usage - Overview","type":"extras"},{"doc":"We highly recommend using `rebar3_ex_doc` as the documentation provider for all your hex projects to provide the users of our ecosystem with a consistent documentation format and style.\n\nTo integrate with `rebar3_hex` merely specify `rebar3_ex_doc` as the doc provider in your projects hex configuration in `rebar.config` :\n\n```erlang\n{hex, [\n    {doc, #{provider => ex_doc}}\n]}.\n```\n\n##","ref":"readme.html#integrating-with-rebar3_hex","title":"Integrating with rebar3_hex - Overview","type":"extras"},{"doc":"rebar3_ex_doc optimizes for applications intended to be published to [hex.pm](https://hex.pm) such that\nthe application name is passed to ex_doc by default as the value to the package option.\n\nIf you wish to generate documentation outside the context of a package you may specify `{package, false}` in the options :\n\n```erlang\n{ex_doc, [\n     {package, false},\n     {extras, [\"README.md\", \"LICENSE\"]},\n     {main, \"README.md\"},\n     {source_url, \"https://github.com/namespace/your_app\"}\n]}.\n```\n\n#","ref":"readme.html#packages","title":"packages - Overview","type":"extras"},{"doc":"Not all `ex_doc` options are supported. This means we'll warn on unknown options, but still pass them to `ex_doc`. We try to make sure the supported options are converted to the format known by `ex_doc`.\nIn case you get a warning for something that is working or would like further conversion support, open a [GitHub issue](https://github.com/starbelly/rebar3_ex_doc/issues).\n\n#","ref":"readme.html#supported-options","title":"Supported options - Overview","type":"extras"},{"doc":"##","ref":"readme.html#additional-options","title":"Additional options - Overview","type":"extras"},{"doc":"Out-of-the-box support for [Mermaid](https://mermaid.js.org/) is provided via `rebar.config` option\n`with_mermaid`, as follows:\n\n```erlang\n{ex_doc, [\n     {with_mermaid, true}\n]}.\n```\n\nor\n\n```erlang\n{ex_doc, [\n     {with_mermaid, \"10.2.4\"}\n]}.\n```\n\nCheck out what this looks like in `doc/index.html`.\n\n```mermaid\ngraph TD;\n    A-->B;\n    A-->C;\n    B-->D;\n    C-->D;\n```\n\n##","ref":"readme.html#support-for-mermaid","title":"Support for Mermaid - Overview","type":"extras"},{"doc":"By default rebar3_ex_doc adopts the convention of prefixing versions with `v`.\nIf your project doesn't follow this convention you may opt out of it with `{prefix_ref_vsn_with_v, false}`\n\n```erlang\n{ex_doc, [\n     {prefix_ref_vsn_with_v, false},\n     {extras, [\"README.md\", \"LICENSE\"]},\n     {main, \"README.md\"},\n     {source_url, \"https://github.com/namespace/your_app\"}\n]}.\n```\n\n#","ref":"readme.html#v-prefix-for-source-ref-versions","title":"v prefix for source ref versions - Overview","type":"extras"},{"doc":"Check out our [examples](examples) directory in this repository for working project examples.\n\n#","ref":"readme.html#examples","title":"Examples - Overview","type":"extras"},{"doc":"ExDoc [extras](https://hexdocs.pm/ex_doc/readme.html#additional-pages) are additional pages of content written in Markdown. When used with `rebar3_ex_doc`, Erlang syntax is supported for auto-link references with ExDoc prefixes (`c:` and `t:`):\n\n* Modules: `module`\n* Functions: `function/1`, `module:function/1`\n* Callbacks: `c:handle_call/3`, `c:gen_server:handle_call/3`\n* Types: `t:nullary_type()`, `t:type_with_parameter/1`\n\n# Development\n\nIf you'd like to hack on this plugin, follow the steps below:\n\n1. You must have at least Elixir 1.13.0\n   [installed](https://elixir-lang.org/install.html) to build the `ex_doc`\n   escript.\n\n2. Make a new rebar project or go into an existing project:\n\n    ```bash\n    rebar3 new myapp\n    cd myapp\n    ```\n\n3. Make a `_checkouts` directory:\n\n    ```bash\n    mkdir _checkouts\n    ```\n\n4. Go to `_checkouts` and clone this repository to create a\n   [checkout dependency](http://rebar3.org/docs/configuration/dependencies/#checkout-dependencies):\n\n    ```bash\n    cd _checkouts\n    git clone https://github.com/starbelly/rebar3_ex_doc\n    ```\n\n5. Get all dependencies and build the `ex_doc` console app:\n\n    ```bash\n    cd rebar3_ex_doc\n    mix deps.get\n    mix escript.build\n    ```\n\n6. Go back to the root of your project:\n\n    ```bash\n    cd ../..\n    ```\n\n7. Add `rebar3_ex_doc` as plugin to your `rebar.config`:\n\n    ```erlang\n    {project_plugins, [rebar3_ex_doc]}.\n    ```\n\n8. Generate documentation as an initial test:\n\n    ```bash\n    rebar3 ex_doc\n    ```","ref":"readme.html#extras","title":"Extras - Overview","type":"extras"},{"doc":"Copyright 2021, Bryan Paxton  .\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [https://www.apache.org/licenses/LICENSE-2.0](https://www.apache.org/licenses/LICENSE-2.0).\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#copyright-and-license","title":"Copyright and License - Overview","type":"extras"},{"doc":"# Apache License\nVersion 2.0, January 2004\n\nhttp://www.apache.org/licenses/\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION","ref":"license.html","title":"License","type":"extras"},{"doc":"\"License\" shall mean the terms and conditions for use, reproduction, and\ndistribution as defined by Sections 1 through 9 of this document.\n\n\"Licensor\" shall mean the copyright owner or entity authorized by the copyright\nowner that is granting the License.\n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities\nthat control, are controlled by, or are under common control with that entity.\nFor the purposes of this definition, \"control\" means (i) the power, direct or\nindirect, to cause the direction or management of such entity, whether by\ncontract or otherwise, or (ii) ownership of fifty percent (50%) or more of the\noutstanding shares, or (iii) beneficial ownership of such entity.\n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising\npermissions granted by this License.\n\n\"Source\" form shall mean the preferred form for making modifications, including\nbut not limited to software source code, documentation source, and configuration\nfiles.\n\n\"Object\" form shall mean any form resulting from mechanical transformation or\ntranslation of a Source form, including but not limited to compiled object code,\ngenerated documentation, and conversions to other media types.\n\n\"Work\" shall mean the work of authorship, whether in Source or Object form, made\navailable under the License, as indicated by a copyright notice that is included\nin or attached to the work (an example is provided in the Appendix below).\n\n\"Derivative Works\" shall mean any work, whether in Source or Object form, that\nis based on (or derived from) the Work and for which the editorial revisions,\nannotations, elaborations, or other modifications represent, as a whole, an\noriginal work of authorship. For the purposes of this License, Derivative Works\nshall not include works that remain separable from, or merely link (or bind by\nname) to the interfaces of, the Work and Derivative Works thereof.\n\n\"Contribution\" shall mean any work of authorship, including the original version\nof the Work and any modifications or additions to that Work or Derivative Works\nthereof, that is intentionally submitted to Licensor for inclusion in the Work\nby the copyright owner or by an individual or Legal Entity authorized to submit\non behalf of the copyright owner. For the purposes of this definition,\n\"submitted\" means any form of electronic, verbal, or written communication sent\nto the Licensor or its representatives, including but not limited to\ncommunication on electronic mailing lists, source code control systems, and\nissue tracking systems that are managed by, or on behalf of, the Licensor for\nthe purpose of discussing and improving the Work, but excluding communication\nthat is conspicuously marked or otherwise designated in writing by the copyright\nowner as \"Not a Contribution.\"\n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf\nof whom a Contribution has been received by Licensor and subsequently\nincorporated within the Work.","ref":"license.html#1-definitions","title":"1. Definitions. - License","type":"extras"},{"doc":"Subject to the terms and conditions of this License, each Contributor hereby\ngrants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\nirrevocable copyright license to reproduce, prepare Derivative Works of,\npublicly display, publicly perform, sublicense, and distribute the Work and such\nDerivative Works in Source or Object form.","ref":"license.html#2-grant-of-copyright-license","title":"2. Grant of Copyright License. - License","type":"extras"},{"doc":"Subject to the terms and conditions of this License, each Contributor hereby\ngrants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\nirrevocable (except as stated in this section) patent license to make, have\nmade, use, offer to sell, sell, import, and otherwise transfer the Work, where\nsuch license applies only to those patent claims licensable by such Contributor\nthat are necessarily infringed by their Contribution(s) alone or by combination\nof their Contribution(s) with the Work to which such Contribution(s) was\nsubmitted. If You institute patent litigation against any entity (including a\ncross-claim or counterclaim in a lawsuit) alleging that the Work or a\nContribution incorporated within the Work constitutes direct or contributory\npatent infringement, then any patent licenses granted to You under this License\nfor that Work shall terminate as of the date such litigation is filed.","ref":"license.html#3-grant-of-patent-license","title":"3. Grant of Patent License. - License","type":"extras"},{"doc":"You may reproduce and distribute copies of the Work or Derivative Works thereof\nin any medium, with or without modifications, and in Source or Object form,\nprovided that You meet the following conditions:\n\n1. You must give any other recipients of the Work or Derivative Works a copy of\n   this License; and\n\n2. You must cause any modified files to carry prominent notices stating that\n   You changed the files; and\n\n3. You must retain, in the Source form of any Derivative Works that You\n   distribute, all copyright, patent, trademark, and attribution notices from\n   the Source form of the Work, excluding those notices that do not pertain to\n   any part of the Derivative Works; and\n\n4. If the Work includes a \"NOTICE\" text file as part of its distribution, then\n   any Derivative Works that You distribute must include a readable copy of the\n   attribution notices contained within such NOTICE file, excluding those\n   notices that do not pertain to any part of the Derivative Works, in at least\n   one of the following places: within a NOTICE text file distributed as part\n   of the Derivative Works; within the Source form or documentation, if\n   provided along with the Derivative Works; or, within a display generated by\n   the Derivative Works, if and wherever such third-party notices normally\n   appear. The contents of the NOTICE file are for informational purposes only\n   and do not modify the License. You may add Your own attribution notices\n   within Derivative Works that You distribute, alongside or as an addendum to\n   the NOTICE text from the Work, provided that such additional attribution\n   notices cannot be construed as modifying the License.\n\nYou may add Your own copyright statement to Your modifications and may provide\nadditional or different license terms and conditions for use, reproduction, or\ndistribution of Your modifications, or for any such Derivative Works as a whole,\nprovided Your use, reproduction, and distribution of the Work otherwise complies\nwith the conditions stated in this License.","ref":"license.html#4-redistribution","title":"4. Redistribution. - License","type":"extras"},{"doc":"Unless You explicitly state otherwise, any Contribution intentionally submitted\nfor inclusion in the Work by You to the Licensor shall be under the terms and\nconditions of this License, without any additional terms or conditions.\nNotwithstanding the above, nothing herein shall supersede or modify the terms of\nany separate license agreement you may have executed with Licensor regarding\nsuch Contributions.","ref":"license.html#5-submission-of-contributions","title":"5. Submission of Contributions. - License","type":"extras"},{"doc":"This License does not grant permission to use the trade names, trademarks,\nservice marks, or product names of the Licensor, except as required for\nreasonable and customary use in describing the origin of the Work and\nreproducing the content of the NOTICE file.","ref":"license.html#6-trademarks","title":"6. Trademarks. - License","type":"extras"},{"doc":"Unless required by applicable law or agreed to in writing, Licensor provides the\nWork (and each Contributor provides its Contributions) on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied,\nincluding, without limitation, any warranties or conditions of TITLE, NON-\nINFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are\nsolely responsible for determining the appropriateness of using or\nredistributing the Work and assume any risks associated with Your exercise of\npermissions under this License.","ref":"license.html#7-disclaimer-of-warranty","title":"7. Disclaimer of Warranty. - License","type":"extras"},{"doc":"In no event and under no legal theory, whether in tort (including negligence),\ncontract, or otherwise, unless required by applicable law (such as deliberate\nand grossly negligent acts) or agreed to in writing, shall any Contributor be\nliable to You for damages, including any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License or\nout of the use or inability to use the Work (including but not limited to\ndamages for loss of goodwill, work stoppage, computer failure or malfunction, or\nany and all other commercial damages or losses), even if such Contributor has\nbeen advised of the possibility of such damages.","ref":"license.html#8-limitation-of-liability","title":"8. Limitation of Liability. - License","type":"extras"},{"doc":"While redistributing the Work or Derivative Works thereof, You may choose to\noffer, and charge a fee for, acceptance of support, warranty, indemnity, or\nother liability obligations and/or rights consistent with this License. However,\nin accepting such obligations, You may act only on Your own behalf and on Your\nsole responsibility, not on behalf of any other Contributor, and only if You\nagree to indemnify, defend, and hold each Contributor harmless for any liability\nincurred by, or claims asserted against, such Contributor by reason of your\naccepting any such warranty or additional liability.\n\nEND OF TERMS AND CONDITIONS","ref":"license.html#9-accepting-warranty-or-additional-liability","title":"9. Accepting Warranty or Additional Liability. - License","type":"extras"}]}